## ros-indigo-turtlebot-arm 0.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(turtlebot_arm)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-turtlebot-arm (0.3.3-0trusty) trusty; urgency=high

  * Add turtlebot_arm_block_manipulation package

 -- Jorge Santos <jsantossimon@gmail.com>  Fri, 19 Sep 2014 22:00:00 -0000

ros-indigo-turtlebot-arm (0.3.2-0trusty) trusty; urgency=high



 -- Jorge Santos <jsantossimon@gmail.com>  Fri, 29 Aug 2014 22:00:00 -0000

ros-indigo-turtlebot-arm (0.3.1-0trusty) trusty; urgency=high

  * Add a metapackage

 -- Jorge Santos <jsantossimon@gmail.com>  Thu, 21 Aug 2014 22:00:00 -0000

ros-indigo-turtlebot-arm (0.3.0-0trusty) trusty; urgency=high

  * First indigo release

 -- Jorge Santos <jsantossimon@gmail.com>  Thu, 21 Aug 2014 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-turtlebot-arm
Section: misc
Priority: extra
Maintainer: Jorge Santos <jsantossimon@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/turtlebot_arm
Standards-Version: 3.9.2

Package: ros-indigo-turtlebot-arm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-turtlebot-arm-block-manipulation, ros-indigo-turtlebot-arm-bringup, ros-indigo-turtlebot-arm-description, ros-indigo-turtlebot-arm-ikfast-plugin, ros-indigo-turtlebot-arm-kinect-calibration, ros-indigo-turtlebot-arm-moveit-config, ros-indigo-turtlebot-arm-moveit-demos
Description: The turtlebot arm meta package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-turtlebot-arm//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
